function [URL] = recturl(archive, pass_times, StartColumn, ...
                            EndColumn, StartRow, EndRow, dset_stride, ...
                            ranges, variable, server)
%
% This function will build the simplest rectangle grid file name.
% Currently used files are gomtopo and tbase.
%

% The preceding empty line is important.
% $Log: recturl.m,v $
% Revision 1.2  2000/01/12 18:51:14  kwoklin
% Second checkup.  klee
%
% Revision 1.1  1999/11/23 19:43:01  kwoklin
% Add tbase data set.  Use recturl for simple getrectg geturl file. klee
%

% $Id: recturl.m,v 1.2 2000/01/12 18:51:14 kwoklin Exp $
% klee 11/23/99

URL = []; Constraint = [];
for i = 1:size(variable,1)
  Constraint = [Constraint, sprintf('%s',deblank(variable(i,:)),'[',num2str(StartRow),':', ...
                num2str(dset_stride),':',num2str(EndRow),'][', ...
                num2str(StartColumn), ':', num2str(dset_stride), ':',...
                num2str(EndColumn), ']')];
  if i < size(variable,1)
    Constraint = [Constraint, ','];
  end
end
URL = sprintf('%s', server, '?', Constraint);
return
